This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536450 - (RHQ-798) Agent throws exception trying to truncate apache's RT log file
Agent throws exception trying to truncate apache's RT log file
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
1.1pre
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Rajan Timaniya
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2008-09-08 13:20 EDT by Jeff Weiss
Modified: 2014-11-09 17:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
linux, postgres, apache 2.2
Last Closed: 2013-09-02 03:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2008-09-08 13:20:00 EDT
I installed and configured apache 2.2 for RT data.  I have an RT log at /usr/local/apache2/logs/dev71.qa.atl2.redhat.com80_rt.log .  It's owned by root so obviously the agent doesn't have permission to write to it.  Why is it trying to write to it?  I haven't been able to detect any loss of functionality but i can't see any reason this exception should be in the agent log, if anything it should be cleaned up to maintain the readability of the agent log (we don't want exceptions in there that aren't even error conditions).


2008-09-04 14:44:48,373 ERROR [ResourceContainer.invoker.daemon-305] (rhq.core.pluginapi.util.ResponseTimeLogParser)- Unable to truncate response-time log file.
java.io.FileNotFoundException: /usr/local/apache2/logs/dev71.qa.atl2.redhat.com80_rt.log (Permission denied)
        at java.io.RandomAccessFile.open(Native Method)
        at java.io.RandomAccessFile.<init>(RandomAccessFile.java:212)
        at org.rhq.core.pluginapi.util.ResponseTimeLogParser.truncateLog(ResponseTimeLogParser.java:209)
        at org.rhq.core.pluginapi.util.ResponseTimeLogParser.parseLog(ResponseTimeLogParser.java:135)
        at org.rhq.plugins.apache.ApacheVirtualHostServiceComponent.getValues(ApacheVirtualHostServiceComponent.java:125)
        at sun.reflect.GeneratedMethodAccessor37.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:446)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:885)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
        at java.lang.Thread.run(Thread.java:619)
Comment 1 Red Hat Bugzilla 2009-11-10 16:17:07 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-798
Comment 2 wes hayutin 2010-02-16 11:58:49 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:03:32 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-10-06 23:09:03 EDT
ON_QA
Comment 6 Mike Foley 2011-10-04 13:38:11 EDT
marking verified.  i have had apache in inventory for quite some while and have not noticed this log exception.
Comment 7 Heiko W. Rupp 2013-09-02 03:26:40 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.